### Property

# Secret Item:flags

#### Declaration

    property flags: Secret.ItemFlags [ read, write, construct-only ]

#### Description [src]

A set of flags describing which parts of the secret item have been initialized.

Type:`SecretItemFlags`

Default value | SECRET_ITEM_NONE
Getter method | `secret_item_get_flags()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes